Create a HAWB
curl --request POST \
--url https://devapi.eazecustoms.com/staging/v1/shipments/{id}/hawbs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"houseAirWaybillNumber": "<string>",
"packageCount": 123,
"grossWeightKg": 123
}
'import requests
url = "https://devapi.eazecustoms.com/staging/v1/shipments/{id}/hawbs"
payload = {
"houseAirWaybillNumber": "<string>",
"packageCount": 123,
"grossWeightKg": 123
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({houseAirWaybillNumber: '<string>', packageCount: 123, grossWeightKg: 123})
};
fetch('https://devapi.eazecustoms.com/staging/v1/shipments/{id}/hawbs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hawbId": "hawb_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"shipmentId": "shp_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"houseAirWaybillNumber": "HWB-101",
"packageCount": 4,
"grossWeightKg": 40,
"status": "NOT_INITIATED",
"isActive": true,
"reportedStock": { "packageCount": 0, "grossWeightKg": 0 },
"remainingStock": { "packageCount": 4, "grossWeightKg": 40 },
"createdAt": "2026-06-10T08:30:00.000Z",
"updatedAt": "2026-06-10T08:30:00.000Z"
}
RTO
Create a HAWB
Create a house air waybill under a shipment.
POST
/
v1
/
shipments
/
{id}
/
hawbs
Create a HAWB
Create a HAWB under a shipment. Totals must not exceed the shipment.
Path Parameters
string
required
Shipment Public ID (
shp_…).Headers
string
required
Unique key that makes retrying this request safe for 24 hours. A UUID is recommended.
Body
string
required
House air waybill number.
integer
required
Package count for this HAWB.
number
required
Gross weight in kilograms.
JSON Payload
{
"houseAirWaybillNumber": "HWB-101",
"packageCount": 4,
"grossWeightKg": 40
}
{
"hawbId": "hawb_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"shipmentId": "shp_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"houseAirWaybillNumber": "HWB-101",
"packageCount": 4,
"grossWeightKg": 40,
"status": "NOT_INITIATED",
"isActive": true,
"reportedStock": { "packageCount": 0, "grossWeightKg": 0 },
"remainingStock": { "packageCount": 4, "grossWeightKg": 40 },
"createdAt": "2026-06-10T08:30:00.000Z",
"updatedAt": "2026-06-10T08:30:00.000Z"
}